import 'package:moor/moor.dart';

@DataClassName('Event')
class CalendarRecords extends Table {
  @override
  String get tableName => 'calendar';

  @override
  Set<Column> get primaryKey => {eventId};

  TextColumn get eventId => text()();

  TextColumn get userID => text()();

  TextColumn get title => text()();

  TextColumn get description => text().nullable()();

  DateTimeColumn get eventDate => dateTime()();

  DateTimeColumn get lastUpdated => dateTime().nullable()();
}
