import 'package:flutter/widgets.dart';
import 'package:unify_api/tool.dart';

import '../../classes/enum_list.dart';
import '../bloc.dart';

@immutable
abstract class AlertsEvent {}

class AlertsCheck extends AlertsEvent {
  AlertsCheck({
    @required this.user,
    @required this.scaffold,
  });

  final AccountInfo user;
  final ScaffoldBloc scaffold;
}

class RefreshAlerts extends AlertsEvent {
  RefreshAlerts({
    @required this.info,
    @required this.scaffold,
    @required this.folder,
    @required this.context
  });

  final AccountInfo info;
  final ScaffoldBloc scaffold;
  final DashboardAlertType folder;
  final BuildContext context;
}
