import 'package:moor/moor.dart';

@DataClassName('Loan')
class LoanRecords extends Table {
  @override
  String get tableName => 'loans';

  @override
  Set<Column> get primaryKey => {loanId, folder};

  TextColumn get userID => text()();

  TextColumn get loanId => text()();

  TextColumn get folder => text()();

  TextColumn get firstName => text().nullable()();

  TextColumn get lastName => text().nullable()();

  TextColumn get cellPhone => text().nullable()();

  TextColumn get officePhone => text().nullable()();

  TextColumn get homePhone => text().nullable()();

  DateTimeColumn get dateClosed => dateTime().nullable()();

  TextColumn get loanMilestone => text().nullable()();

  TextColumn get loanNumber => text().nullable()();

  RealColumn get loanRate => real().nullable()();

  TextColumn get email => text().nullable()();
  
  TextColumn get loanDetails => text().nullable()();

  TextColumn get loanContact => text().nullable()();

  DateTimeColumn get lastUpdated => dateTime().nullable()();
}
