import 'package:moor/moor.dart';

@DataClassName('Alert')
class AlertRecords extends Table {
  @override
  String get tableName => 'alerts';

  IntColumn get id => integer().autoIncrement()();

  TextColumn get message => text()();

  TextColumn get userID => text()();

  DateTimeColumn get lastUpdated => dateTime().nullable()();
}
