import 'package:moor/moor.dart';

@DataClassName('User')
class UserRecords extends Table {
  @override
  String get tableName => 'users';

  @override
  Set<Column> get primaryKey => {userID};

  TextColumn get userID => text()();

  TextColumn get domain => text().nullable()();

  TextColumn get username => text().nullable()();

  TextColumn get password => text().nullable()();

  TextColumn get token => text().nullable()();

  TextColumn get firstName => text().nullable()();

  TextColumn get lastName => text().nullable()();

  TextColumn get profileImage => text().nullable()();

  TextColumn get title => text().nullable()();

  TextColumn get email => text().nullable()();

  TextColumn get facebookUrl => text().nullable()();

  TextColumn get twitterUrl => text().nullable()();

  TextColumn get linkedInUrl => text().nullable()();

  TextColumn get websiteUrl => text().nullable()();

  TextColumn get companyId => text().nullable()();

  TextColumn get companyName => text().nullable()();

  TextColumn get companyImage => text().nullable()();

  TextColumn get kalturaId => text().nullable()();

  TextColumn get licenseNumber => text().nullable()();

  TextColumn get losLicenseNumber => text().nullable()();

  BoolColumn get videoEnabled => boolean().nullable()();

  TextColumn get primaryPhone => text().nullable()();

  TextColumn get secondaryPhone => text().nullable()();

  DateTimeColumn get lastLogin => dateTime().nullable()();
}
