import 'package:localstorage/localstorage.dart';

class LocalStor {
  LocalStor(this.key);

  final String key;

  LocalStorage _storage;

  Future<bool> init() async {
    _storage = LocalStorage(key);
    return await _storage.ready;
  }

  Future<dynamic> getSavedItem(String key) async {
    if (_storage == null) {
      _storage = LocalStorage(key);
      await _storage.ready;
    }
    return _storage.getItem(key);
  }

  Future setSavedItem(String key, dynamic value) async {
    if (_storage == null) {
      _storage = LocalStorage(key);
      await _storage.ready;
    }
    await _storage.setItem(key, value);
  }
}
